Package org.jfree.layouting.output

## Class AbstractOutputProcessorMetaData

- java.lang.Object
- - org.jfree.layouting.output.AbstractOutputProcessorMetaData

- All Implemented Interfaces:
    `OutputProcessorMetaData`
  Direct Known Subclasses:
    `GraphicsOutputProcessorMetaData`, `HtmlOutputProcessorMetaData`, `PdfOutputProcessorMetaData`, `PlaintextOutputMetaData`

      public abstract class AbstractOutputProcessorMetaData
      extends java.lang.Object
      implements OutputProcessorMetaData

  Creation-Date: 02.01.2006, 18:39:46
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractOutputProcessorMetaData​(org.pentaho.reporting.libraries.fonts.registry.FontStorage fontStorage)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addFeature​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)` |
    `PageSize` | `getDefaultPageSize​()` | Returns the default physical page size.
    `org.pentaho.reporting.libraries.fonts.registry.FontFamily` | `getFontFamilyForGenericName​(CSSConstant genericName)` |
    `org.pentaho.reporting.libraries.fonts.registry.FontMetrics` | `getFontMetrics​(FontSpecification spec)` |
    `protected org.pentaho.reporting.libraries.fonts.registry.FontRegistry` | `getFontRegistry​()` |
    `double` | `getFontSize​(CSSConstant constant)` |
    `org.pentaho.reporting.libraries.fonts.registry.FontStorage` | `getFontStorage​()` | Although most font systems are global, some may have some issues with caching.
    `int` | `getHorizontalPageSpan​()` | Returns the horizontal page span.
    `java.lang.String` | `getMediaType​()` | Returns the media type of the output target.
    `java.lang.String` | `getNormalizedFontFamilyName​(java.lang.String name)` |
    `double` | `getNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature)` |
    `java.lang.Class[]` | `getSupportedResourceTypes​()` |
    `int` | `getVerticalPageSpan​()` | Returns the vertical page span.
    `boolean` | `isFeatureSupported​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)` |
    `boolean` | `isValid​(FontSpecification spec)` |
    `protected void` | `setFamilyMapping​(CSSConstant family, java.lang.String name)` |
    `protected void` | `setNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature, double value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.layouting.output.OutputProcessorMetaData

      `getDefaultFontFamily, getExportDescriptor, isIterative`

- - ### Constructor Detail

    - #### AbstractOutputProcessorMetaData

          protected AbstractOutputProcessorMetaData​(org.pentaho.reporting.libraries.fonts.registry.FontStorage fontStorage)

  - ### Method Detail

    - #### setFamilyMapping

          protected void setFamilyMapping​(CSSConstant family,
                                          java.lang.String name)

    - #### getFontSize

          public double getFontSize​(CSSConstant constant)

      Specified by:
        `getFontSize` in interface `OutputProcessorMetaData`

    - #### addFeature

          protected void addFeature​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

    - #### isFeatureSupported

          public boolean isFeatureSupported​(OutputProcessorFeature.BooleanOutputProcessorFeature feature)

      Specified by:
        `isFeatureSupported` in interface `OutputProcessorMetaData`

    - #### setNumericFeatureValue

          protected void setNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature,
                                                double value)

    - #### getNumericFeatureValue

          public double getNumericFeatureValue​(OutputProcessorFeature.NumericOutputProcessorFeature feature)

      Specified by:
        `getNumericFeatureValue` in interface `OutputProcessorMetaData`

    - #### getFontStorage

          public org.pentaho.reporting.libraries.fonts.registry.FontStorage getFontStorage​()

      Although most font systems are global, some may have some issues with caching. OutputTargets may have to tweak the font storage system to their needs.
      Specified by:
        `getFontStorage` in interface `OutputProcessorMetaData`
      Returns:

    - #### getNormalizedFontFamilyName

          public java.lang.String getNormalizedFontFamilyName​(java.lang.String name)

      Specified by:
        `getNormalizedFontFamilyName` in interface `OutputProcessorMetaData`

    - #### getFontFamilyForGenericName

          public org.pentaho.reporting.libraries.fonts.registry.FontFamily getFontFamilyForGenericName​(CSSConstant genericName)

      Specified by:
        `getFontFamilyForGenericName` in interface `OutputProcessorMetaData`

    - #### getFontRegistry

          protected org.pentaho.reporting.libraries.fonts.registry.FontRegistry getFontRegistry​()

    - #### getDefaultPageSize

          public PageSize getDefaultPageSize​()

      Description copied from interface: `OutputProcessorMetaData`
      Returns the default physical page size. If not defined otherwise, this will also be the logical size.
      Specified by:
        `getDefaultPageSize` in interface `OutputProcessorMetaData`
      Returns:

    - #### getVerticalPageSpan

          public int getVerticalPageSpan​()

      Returns the vertical page span. If the value is zero or negative, no
      Specified by:
        `getVerticalPageSpan` in interface `OutputProcessorMetaData`
      Returns:

    - #### getHorizontalPageSpan

          public int getHorizontalPageSpan​()

      Description copied from interface: `OutputProcessorMetaData`
      Returns the horizontal page span. If the value is less than one, it will be corrected to one.
      Specified by:
        `getHorizontalPageSpan` in interface `OutputProcessorMetaData`
      Returns:

    - #### getMediaType

          public java.lang.String getMediaType​()

      Description copied from interface: `OutputProcessorMetaData`
      Returns the media type of the output target. This corresponds directly to the CSS defined media types and is used as a selector.
      Specified by:
        `getMediaType` in interface `OutputProcessorMetaData`
      Returns:
        the media type of the output target.

    - #### isValid

          public boolean isValid​(FontSpecification spec)

      Specified by:
        `isValid` in interface `OutputProcessorMetaData`

    - #### getFontMetrics

          public org.pentaho.reporting.libraries.fonts.registry.FontMetrics getFontMetrics​(FontSpecification spec)

      Specified by:
        `getFontMetrics` in interface `OutputProcessorMetaData`

    - #### getSupportedResourceTypes

          public java.lang.Class[] getSupportedResourceTypes​()

      Specified by:
        `getSupportedResourceTypes` in interface `OutputProcessorMetaData`